autofs-5.1.0 - fix macro usage in lookup_program.c

From: Ian Kent <raven@themaw.net>

The macro MAPFMT_DEFAULT is used incorrectly in a comparison in
modules/lookup_program.c:lookup_one().

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG                |    1 +
 modules/lookup_program.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index 879ea68..31f9af2 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -50,6 +50,7 @@
 - fix map option parsing for 'strictatime'.
 - fix showmount search in auto.net.
 - remove obsolete comment in auto.net.
+- fix macro usage in lookup_program.c.
 
 04/06/2014 autofs-5.1.0
 =======================
diff --git a/modules/lookup_program.c b/modules/lookup_program.c
index 6cbab0f..a3a7e98 100644
--- a/modules/lookup_program.c
+++ b/modules/lookup_program.c
@@ -190,7 +190,7 @@ static char *lookup_one(struct autofs_point *ap,
 		 * MAPFMT_DEFAULT must be "sun" for ->parse_init() to have setup
 		 * the macro table.
 		 */
-		if (ctxt->mapfmt && strcmp(ctxt->mapfmt, "MAPFMT_DEFAULT")) {
+		if (ctxt->mapfmt && !strcmp(ctxt->mapfmt, MAPFMT_DEFAULT)) {
 			struct parse_context *pctxt = (struct parse_context *) ctxt->parse->context;
 			/* Add standard environment as seen by sun map parser */
 			pctxt->subst = addstdenv(pctxt->subst, prefix);
